package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserDictItem;
import com.sa.ibiz.demo.demo.service.dto.UserDictItemSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserDictItem] 服务对象接口
 */
public interface UserDictItemService extends IService<UserDictItem>{

	boolean update(UserDictItem et);
	boolean checkKey(UserDictItem et);
		UserDictItem get(UserDictItem et);
	boolean getDraft(UserDictItem et);
	boolean create(UserDictItem et);
	boolean remove(UserDictItem et);
    List<UserDictItem> listDefault(UserDictItemSearchFilter filter) ;
	Page<UserDictItem> searchDefault(UserDictItemSearchFilter filter);
	/**	 实体[UserDictItem] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }